Events
List events
GET
/
api
/
v1
/
events
List events
curl --request GET \
--url https://api.linebundle.com/api/v1/eventsimport requests
url = "https://api.linebundle.com/api/v1/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/events"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/events")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_dt": "2023-11-07T05:31:56Z",
"creator_id": "<string>",
"id": 123,
"is_deleted": true,
"is_locked": true,
"status": "draft",
"timezone": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"visibility": 123,
"$schema": "https://api.linebundle.com/schemas/Event.json",
"address": "<string>",
"description": "<string>",
"description_override": "<string>",
"end_dt": "2023-11-07T05:31:56Z",
"keywords": [
"<string>"
],
"latitude": 123,
"longitude": 123,
"metadata": {},
"metadata_override": {},
"org_id": "<string>",
"parent_event_id": 123,
"published_at": "2023-11-07T05:31:56Z",
"published_id": 123,
"series_id": 123,
"series_index": 123,
"series_title": "<string>",
"start_dt": "2023-11-07T05:31:56Z",
"title_override": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123,
"$schema": "https://api.linebundle.com/schemas/PagedBodyEvent.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Query Parameters
Page number (1-based)
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Search term
Field to sort by
Sort direction
Available options:
asc, desc Filter by publish status. Omit to return both published and standalone drafts.
Available options:
published, draft Filter by visibility level: 10=private, 20=members-only, 30=organization, 40=public. Omit or pass 0 to return all visible rows.
Response
OK
List of results
Show child attributes
Show child attributes
Current page (1-based)
Page size
Total matching records
A URL to the JSON Schema for this object.
Example:
"https://api.linebundle.com/schemas/PagedBodyEvent.json"
Last modified on June 11, 2026
⌘I
List events
curl --request GET \
--url https://api.linebundle.com/api/v1/eventsimport requests
url = "https://api.linebundle.com/api/v1/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/events"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/events")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_dt": "2023-11-07T05:31:56Z",
"creator_id": "<string>",
"id": 123,
"is_deleted": true,
"is_locked": true,
"status": "draft",
"timezone": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"visibility": 123,
"$schema": "https://api.linebundle.com/schemas/Event.json",
"address": "<string>",
"description": "<string>",
"description_override": "<string>",
"end_dt": "2023-11-07T05:31:56Z",
"keywords": [
"<string>"
],
"latitude": 123,
"longitude": 123,
"metadata": {},
"metadata_override": {},
"org_id": "<string>",
"parent_event_id": 123,
"published_at": "2023-11-07T05:31:56Z",
"published_id": 123,
"series_id": 123,
"series_index": 123,
"series_title": "<string>",
"start_dt": "2023-11-07T05:31:56Z",
"title_override": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123,
"$schema": "https://api.linebundle.com/schemas/PagedBodyEvent.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}